Subject: Re: is the weeks before -rc1 the time to really be working on -next?

From: "Rafael J. Wysocki" <[email-masked]>
Date: Thu, 16 Oct 2008 00:08:08 +0200

On Wednesday, 15 of October 2008, Andrew Morton wrote:
> On Wed, 15 Oct 2008 10:40:15 -0700
> Greg KH <[email-masked]> wrote:
> 
> > Just wondering, I know that -next is failing right now, and is a major
> > pain to produce, but that seems to be primarily due to all of the
> > subsystems merging with Linus right now.
> 
> No, I'd say it's primarily due to subsystem maintainers losing
> discipline and changing (or compile-time and runtime breaking) other
> people's stuff.  This problem appears to have become much worse since
> linux-next started.  I suspect Stephen is cleaning up others' trash so
> they're producing more of it.
> 
> This situation has totally screwed me over, because my tree is so
> dependent upon the composite everyone-else tree.  And a large reason
> for that dependency is not that I'm carrying patches against other
> people's code - it's that they're changing (or breaking) things which
> lie outside their area of responsibility.
> 
> During Stephen's absence I was forced to try to assemble a
> linux-next-like tree locally and that has become much much harder than
> it was before linux-next, because all those trees have gone so rampant.
> 
> On one day of last week it took me from 10:00AM until 4:00PM just to
> get all the patches applied and partially compiling, despite the fact
> that I had them all applied and compiling 24 hours beforehand.
> 
> > So does it even make sense to try to create a -next during the 2 weeks
> > of the major merge window?  It seems to just cause you a whole lot of
> > work, that in the end, is mostly unecessary as all of the subsystem
> > maintainers are doing the merging themselves as trees move into Linus's
> > tree?
> > 
> 
> It's very useful to me, because my tree is based on everyone else's. 
> With no linux-next I'd need to either go back to pulling everyone
> else's junk or I'd need to rebase on mainline.
> 
> The latter is sorely tempting.  It would save me vast amounts of time
> and hair-tearing.  I'd base my tree on mainline and dammit I'd merge
> first.  So everyone who has been changing stuff which is outside their
> area of responsibility and breaking other people's stuff would get to
> see the consequences of their actions instead of Stephen and I bearing
> the brunt of it all the time.
> 
> 
> I fear we've reached the stage now where people are merrily merging
> bright-and-shiny things into their local trees without giving much
> thought at all to the consequences for others.

Not to mention trying to compile their trees or to test them. :-(